
@import "./assets/mat-palette.scss";

html,
body {
  height: 100%;
  scroll-behavior: smooth;
}

body {
  margin: auto;
}

@keyframes spinner {
  to {
    transform: rotate(360deg);
  }
}

.spinner:before {
  content: "";
  box-sizing: border-box;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 20px;
  height: 20px;
  margin-top: -10px;
  margin-left: -10px;
  border-radius: 50%;
  border: 2px solid #ffffff;
  border-top-color: #000000;
  animation: spinner 0.8s linear infinite;
}

.green-snackbar {
  background-color: #0000a0;
  color: #ffffff;
}

.orange-snackbar {
  background-color: #fa6119;
  color: #ffffff;
}

.large-orange-snackbar {
  background-color: #fa6119;
  color: #ffffff;
  white-space: break-spaces;
  word-break: break-word;
  >.mat-simple-snack-bar-content {
    white-space: break-spaces;
    word-break: break-word;
    text-overflow: initial;
  }
}

.material-icons-outlined {
  font-family: 'Material Icons Outlined', serif;
  font-weight: 100;
  font-style: normal;
  font-size: 24px;
  line-height: 1;
  letter-spacing: normal;
  text-transform: none;
  display: inline-block;
  white-space: nowrap;
  word-wrap: normal;
  direction: ltr;
  -webkit-font-feature-settings: 'liga';
  -webkit-font-smoothing: antialiased;
}


/* Works on Firefox */
* {
  scrollbar-width: thin;
  scrollbar-color: lightgray white;
}

/* Works on Chrome, Edge, and Safari */
*::-webkit-scrollbar {
  width: 15px;
}

*::-webkit-scrollbar-track {
  background: transparent;
}

*::-webkit-scrollbar-thumb {
  background-color: lightgray;
  border-radius: 20px;
  border: 3px solid white;
}
